# $Id: playfield_led.py 55 2005-09-03 13:22:25Z  $

### Imports ###
import pygame
import time
import random
from playfield_item import *

### Constants ###
IMAGE_LED_OFF	= pygame.image.load("../media/images/pf-led-off.png")
IMAGE_LED_ON	= pygame.image.load("../media/images/pf-led-on.png")

### Class PlayfieldResistor ###
class PlayfieldLed(PlayfieldItem):
	def __init__(self):
		PlayfieldItem.__init__(self)
		self.image = IMAGE_LED_OFF
	
	def getItemType(self):
		return 'led'

	def updateState(self, isPlayerTouching):
		if isPlayerTouching:
			self.image = IMAGE_LED_ON
		else:
			self.image = IMAGE_LED_OFF

